<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 **/

namespace Federator\Data\ActivityPub\Common;

class Image extends APObject
{
    /**
     * url
     *
     * @var string $url
     */
    private $url = '';

    /**
     * media type
     *
     * @var string $mediaType
     */
    private $mediaType = '';

    public function __construct()
    {
        parent::__construct("Image");
    }


    /**
     * set media type
     * @param string $mediaType media type
     * @return Image current instance
     */
    public function setMediaType(string $mediaType)
    {
        $this->mediaType = $mediaType;
        return $this;
    }

    /**
     * create object from json
     * @param mixed $json input
     * @return bool true on success
     */
    public function fromJson($json)
    {
        if (!parent::fromJson($json)) {
            return false;
        }
        if (array_key_exists('url', $json)) {
            $this->url = $json['url'];
        }
        if (array_key_exists('mediaType', $json)) {
            $this->mediaType = $json['mediaType'];
        }
        return true;
    }
}
