<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 **/

namespace Federator\Data\ActivityPub\Common;

class Tag extends APObject
{
    public function __construct()
    {
        parent::__construct("Tag");
    }

    /**
     * fill object from json
     *
     * @param mixed $json input
     * @return bool true on success
     */
    public function fromJson($json)
    {
        if (!parent::fromJson($json)) {
            return false;
        }
        if (array_key_exists('type', $json)) {
            $this->setType($json['type']);
        }
        return true;
    }
}
