<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 **/

namespace Federator\DIO;

/**
 * IO functions related to stats
 */
class Stats
{

    /**
     * get remote stats
     *
     * @param \Federator\Main $main main instance
     * @return \Federator\Data\Stats
     */
    public static function getStats($main)
    {
        $cache = $main->getCache();
        // ask cache
        if ($cache !== null) {
            $stats = $cache->getRemoteStats();
            if ($stats !== false) {
                return $stats;
            }
        }
        $connector = $main->getConnector();
        // ask connector for stats
        $stats = $connector->getRemoteStats();
        if ($cache !== null && $stats !== false) {
            $cache->saveRemoteStats($stats);
        }
        if ($stats === false) {
            $stats = new \Federator\Data\Stats();
        }
        return $stats;
    }
}
