<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 */

namespace Federator\Exceptions;

/**
 * Server Error Exception
 */
class ServerError extends Exception
{
    /**
     * constructor
     * @param ?string $message optional error message
     */
    public function __construct($message = null)
    {
        $this->message = ($message === null) ? "servererror" : $message;
    }

    /**
     *
     * {@inheritDoc}
     * @see \Exceptions\Exception::getRetCode()
     */
    public function getRetCode() : int
    {
        return 500;
    }
}
